
Foreman - Feature #13055

Provide helper for plugins to register buttons

01/07/2016 02:11 PM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

E.g. salt has actions like "Salt Keys" and "Autosign" that apply to the proxy, so we should let the plugin register these as actions

Related issues:

Is duplicate of Foreman - Feature #12716: As a foreman developer I'd like to ... Closed 12/07/2015

History

#1 - 01/07/2016 02:12 PM - Stephen Benjamin

- Tracker changed from Bug to Feature

- Assignee set to Stephen Benjamin

#2 - 01/07/2016 02:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3032 added

#3 - 01/07/2016 03:37 PM - Stephen Benjamin

- Subject changed from Provide helper for plugins to add smart proxy buttons to Provide helper for plugins to register buttons

- Status changed from Ready For Testing to New

Ohad suggested making this a bigger scope, by having some kind of master button registry.  See the conversation on 

https://github.com/theforeman/foreman/pull/3032

#4 - 01/07/2016 03:37 PM - Stephen Benjamin

- Pull request deleted (https://github.com/theforeman/foreman/pull/3032)

#5 - 10/13/2016 02:13 PM - Stephen Benjamin

- Assignee deleted (Stephen Benjamin)

#6 - 11/08/2016 10:33 AM - Dominic Cleal

- Is duplicate of Feature #12716: As a foreman developer I'd like to have way of extending the data returned from smart proxy api. added

#7 - 11/08/2016 10:34 AM - Dominic Cleal

- Status changed from New to Duplicate

#12716 provides extension points via Pagelets for smart_proxy_title_actions on the smart proxy index and show pages. See 

http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin#Adding-a-Pagelet for more info.
